// 设备借用相关接口api
import request from '../index'
// 设备管理点检查列表
export function getcheckInfoList(data: { limit: number; offset: number }) {
  return request({
    url: `/check/checkInfoList?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 数据删除
export function getDeleteCheckInfo(data: object) {
  return request({
    url: '/check/deleteCheckInfo',
    method: 'post',
    data,
  })
}

// 数据导出
export function getExportCheckInfoList(data: object) {
  return request({
    url: '/check/exportCheckInfoList',
    method: 'post',
    responseType: 'blob',
    data,
  })
}

// 获取详情数据
export function getselectCheckInfo(data: object) {
  return request({
    url: '/check/selectCheckInfo',
    method: 'post',
    data,
  })
}
// 获取详情数据
export function getAddCheckInfo(data: object) {
  return request({
    url: '/check/addCheckInfo',
    method: 'post',
    data,
  })
}
